Bug 437689

Summary: xorg-x11-fonts-ethiopic is not exposed correctly
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: xorg-x11-fontsAssignee: Kristian Høgsberg <krh>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: fonts-bugs, xgl-maint
Target Milestone: ---Keywords: EasyFix
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-17 16:42:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705    

Description Nicolas Mailhot 2008-03-16 09:05:25 EDT
Description of problem:

1. xorg-x11-fonts-ethiopic contains fonts in a modern TTF/OTF format. Those
fonts need to be exposed in /usr/share/fonts and not /usr/share/X11/fonts for
more apps to take advantage of them

2. the package contains two versions of the same font (in OTF and TTF format).
This is likely to confuse apps so either drop one or make two separate
conflicting packages so they're never installed at the same time on the same
system. The OTF file appears to be the most complete one based on its size so
I'd drop the TTF one (true all our apps do not support OTF fonts yet but they
are becoming common enough apps should be fixed and TTf versions needn't be
provided as workaround)

3. The package only contains the Goha-Tibeb Zemen font. It would be more
user-friendly if it was renamed goha-tibeb-zemen-fonts

Version-Release number of selected component (if applicable):

xorg-x11-fonts-ethiopic-7.2-6.fc9
Comment 1 Bug Zapper 2008-05-14 02:38:54 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:47:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nicolas Mailhot 2009-10-17 16:38:43 EDT
(In reply to comment #0)

> 3. The package only contains the Goha-Tibeb Zemen font. It would be more
> user-friendly if it was renamed goha-tibeb-zemen-fonts

Or xorg-goha-tibeb-zemen-fonts if you want to keep the origin clear (recommended nowadays)

If you don't care about the X core fonts backend the current basic template is sufficient, otherwise you get to play with fonts.foo and symlinking the font dir in /etc/X11/fontpath.d/
Comment 4 Matěj Cepl 2009-10-17 16:42:07 EDT
Whole package is just in terrible shape. Closing as duplicate of the Merge
Review.

*** This bug has been marked as a duplicate of bug 226639 ***